---
http:
  routers:
    ctfd:
      rule: "Host(`tbd.trustme.click`)"
      service: "ctfd"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
    bchd_01:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_01/`)"
      service: "bchd_01"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_02:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_02/`)"
      service: "bchd_02"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_03:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_03/`)"
      service: "bchd_03"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_04:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_04/`)"
      service: "bchd_04"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_05:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_05/`)"
      service: "bchd_05"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_06:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_06/`)"
      service: "bchd_06"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_07:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_07/`)"
      service: "bchd_07"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_08:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_08/`)"
      service: "bchd_08"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_09:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_09/`)"
      service: "bchd_09"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_10:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_10/`)"
      service: "bchd_10"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_11:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_11/`)"
      service: "bchd_11"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_12:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_12/`)"
      service: "bchd_12"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_13:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_13/`)"
      service: "bchd_13"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_14:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_14/`)"
      service: "bchd_14"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_15:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_15/`)"
      service: "bchd_15"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_16:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_16/`)"
      service: "bchd_16"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_17:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_17/`)"
      service: "bchd_17"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_18:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_18/`)"
      service: "bchd_18"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_19:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_19/`)"
      service: "bchd_19"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"
    bchd_20:
      rule: "Host(`tbd.trustme.click`) && PathPrefix(`/bchd_20/`)"
      service: "bchd_20"
      entryPoints:
       - "websecure"
      tls:
        certResolver: "tmc-acme-http"
      middlewares:
       - "strippy"

  middlewares:
    strippy:
      stripPrefix:
        prefixes:
          - "/bchd_01/"
          - "/bchd_02/"
          - "/bchd_03/"
          - "/bchd_04/"
          - "/bchd_05/"
          - "/bchd_06/"
          - "/bchd_07/"
          - "/bchd_08/"
          - "/bchd_09/"
          - "/bchd_10/"
          - "/bchd_11/"
          - "/bchd_12/"
          - "/bchd_13/"
          - "/bchd_14/"
          - "/bchd_15/"
          - "/bchd_16/"
          - "/bchd_17/"
          - "/bchd_18/"
          - "/bchd_19/"
          - "/bchd_20/"
  services:
    ctfd:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:8000"
    bchd_01:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2001"
    bchd_02:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2002"
    bchd_03:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2003"
    bchd_04:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2004"
    bchd_05:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2005"
    bchd_06:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2006"
    bchd_07:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2007"
    bchd_08:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2008"
    bchd_09:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2009"
    bchd_10:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2010"
    bchd_11:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2011"
    bchd_12:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2012"
    bchd_13:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2013"
    bchd_14:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2014"
    bchd_15:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2015"
    bchd_16:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2016"
    bchd_17:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2017"
    bchd_18:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2018"
    bchd_19:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2019"
    bchd_20:
      loadBalancer:
        servers:
         - url: "http://127.0.0.1:2020"
